import { Reducer, ReducerState, ReducerAction, Dispatch } from 'react';
import { Saga, RunSagaOptions } from 'redux-saga';
declare type SagaIOKeys = keyof Pick<RunSagaOptions<any, any>, 'channel' | 'dispatch' | 'getState'>;
declare type ExposedRunSagaOptions<A, S> = Omit<RunSagaOptions<A, S>, SagaIOKeys>;
export declare function useSagaReducer<S extends Saga<never[]>, R extends Reducer<any, any>, I>(saga: S, reducer: R, initializerArg?: I, initializer?: (arg: I) => ReducerState<R>, runSagaOptions?: ExposedRunSagaOptions<any, S>): [ReducerState<R>, Dispatch<ReducerAction<R>>];
export default useSagaReducer;
